diff options
author | Jim Meyering <meyering@redhat.com> | 2007-11-29 09:21:22 +0100 |
---|---|---|
committer | Jim Meyering <meyering@redhat.com> | 2008-02-09 10:30:33 +0100 |
commit | 72565ddffe0b249fc23bd8253564aaf3311f833c (patch) | |
tree | bf827f4d0980adc9f163359eda745c6e6a1e8675 /tests/touch | |
parent | 52d9bba7126de635eb356e3b379c5e4659ce2462 (diff) | |
download | coreutils-72565ddffe0b249fc23bd8253564aaf3311f833c.tar.xz |
tests: call skip_test_ in place of echo+exit 77
* tests/mv/no-target-dir: Likewise.
* tests/other-fs-tmpdir: Likewise.
* tests/rm/empty-name: Likewise.
* tests/rm/fail-eperm: Likewise.
* tests/rm/inaccessible: Likewise.
* tests/rm/isatty: Likewise.
* tests/rm/unreadable: Likewise.
* tests/setgid-check: Likewise.
* tests/sparse-file: Likewise.
* tests/strace: Likewise.
* tests/tail-2/append-only: Likewise.
* tests/tail-2/big-4gb: Likewise.
* tests/tail-2/tail-n0f: Likewise.
* tests/touch/dangling-symlink: Likewise.
* tests/touch/fifo: Likewise.
* tests/touch/not-owner: Likewise.
* tests/mv/i-3: Likewise.
* tests/umask-check: Likewise.
* tests/mv/acl: Likewise.
* tests/cp/acl: Likewise.
* tests/chgrp/deref: Likewise.
* tests/chmod/setgid: Likewise.
* tests/cp/existing-perm-race: Likewise.
* tests/cp/file-perm-race: Likewise.
* tests/cp/parent-perm-race: Likewise.
* tests/du/2g: Likewise.
* tests/du/8gb: Likewise.
* tests/du/long-from-unreadable: Likewise.
* tests/du/long-sloop: Likewise.
* tests/du/slink: Likewise.
* tests/ls/nameless-uid: Likewise.
* tests/ls/stat-dtype: Likewise.
* tests/misc/cat-proc: Likewise.
* tests/misc/md5sum-newline: Likewise.
* tests/misc/nice: Likewise.
* tests/misc/od-x8: Likewise.
* tests/misc/pwd-unreadable-parent: Likewise.
* tests/misc/selinux: Likewise.
* tests/misc/stty-row-col: Likewise.
* tests/misc/tac-continue: Likewise.
* tests/misc/arch: Likewise, and source $srcdir/../test-lib.sh *before*
the use of skip_test_.
Diffstat (limited to 'tests/touch')
-rwxr-xr-x | tests/touch/dangling-symlink | 10 | ||||
-rwxr-xr-x | tests/touch/fifo | 5 | ||||
-rwxr-xr-x | tests/touch/not-owner | 6 |
3 files changed, 7 insertions, 14 deletions
diff --git a/tests/touch/dangling-symlink b/tests/touch/dangling-symlink index 908f30a8a..3c5cbdcec 100755 --- a/tests/touch/dangling-symlink +++ b/tests/touch/dangling-symlink @@ -39,14 +39,12 @@ if test $fail = 1; then *linux-gnu*) case "`uname -r`" in 2.3.9[0-9]*) - cat 1>&2 <<EOF -==================================================== -$0: WARNING!!! + skip_test_ \ +'**************************************************** +WARNING!!! This version of the Linux kernel causes touch to fail when operating on dangling symlinks. -==================================================== -EOF - exit 77 +****************************************************' ;; esac ;; diff --git a/tests/touch/fifo b/tests/touch/fifo index 796d330d9..400c922c8 100755 --- a/tests/touch/fifo +++ b/tests/touch/fifo @@ -28,10 +28,7 @@ if ! mkfifo fifo; then # failure as a test failure. However, in this case, when running on a SunOS # system using a disk NFS mounted from OpenBSD, the above fails like this: # mkfifo: cannot make fifo `fifo-10558': Not owner - echo '********************************************' - echo 'NOTICE: unable to create test prerequisites' - echo '********************************************' - exit 77 + skip_test_ 'NOTICE: unable to create test prerequisites' fi fail=0 diff --git a/tests/touch/not-owner b/tests/touch/not-owner index 9abb36ba1..4024e0351 100755 --- a/tests/touch/not-owner +++ b/tests/touch/not-owner @@ -26,13 +26,11 @@ fi test=../../src/test if $test -w /; then - echo Skipping because you have write access to /. - (exit 77); exit 77 + skip_test_ you have write access to /. fi if $test -O / || $test -G /; then - echo Skipping because you own /. - (exit 77); exit 77 + skip_test_ "you own /." fi . $srcdir/../test-lib.sh |